/*
// $Id: //guest/julian_hyde/saffron/src/main/openjava/ptree/util/SaffronExpansionApplier.java#1 $
// (C) Copyright 2001 Kana Software, Inc.
// jhyde, 15 February, 2002
*/

package openjava.ptree.util;

import openjava.ptree.CompilationUnit;
import openjava.ptree.ParseTreeException;
import openjava.mop.Environment;
import saffron.util.SaffronSchemaExpander;
import saffron.rel.SaffronQueryExpander;

/**
 * <code>SaffronExpansionApplier</code> performs the same expansions as its
 * base class {@link ExpansionApplier}, plus it expands references to objects
 * of type {@link saffron.Schema} and converts queries into regular Java code.
 *
 * @author jhyde
 * @since 15 February, 2002
 * @version $Id: //guest/julian_hyde/saffron/src/main/openjava/ptree/util/SaffronExpansionApplier.java#1 $
 **/
public class SaffronExpansionApplier extends ExpansionApplier {
    public SaffronExpansionApplier( Environment env ) {
        super( env );
    }
    // override
    public CompilationUnit evaluateUp( CompilationUnit ptree )
	throws ParseTreeException
    {
        Environment env = getEnvironment();
        SaffronSchemaExpander schemaExpander = new SaffronSchemaExpander(env);
	ptree.accept( schemaExpander );

	QueryExpander queryExpander = new SaffronQueryExpander(env);
	ptree.accept( queryExpander );

	return super.evaluateUp(ptree);
    }
}


// End SaffronExpansionApplier.java
